[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TFields.CheckFieldNames

Check a list of field names for duplicate entries

## Declaration

Source position: db.pas line 1150

`public procedure TFields.CheckFieldNames(`
`const Value: string`
`);`

## Arguments

`Value` |  | List of field names to check

## Description

CheckFieldNames splits Value in a list of fieldnames, using semicolon as a separator. For each of the fieldnames obtained in this way, it calls CheckFieldName.

## Errors

Spaces are not discarded, so leaving a space after of before a fieldname will not find the fieldname, and will yield a false negative result.

## See also

TField.FieldName |  | Name of the field
TFields.CheckFieldName |  | Check field name for duplicate entries
TFields.Find